<?php
/**
 * core.framework
 *
 * @category  Core
 * @package   Core_HTMLPurifier
 * @copyright Copyright (c) 2011. Burza d.o.o. (http://web.burza.hr/en/)
 * @license   proprietary
 */

/**
 * @category  Core
 * @package   Core_HTMLPurifier
 * @copyright Copyright (c) 2011. Burza d.o.o. (http://web.burza.hr/en/)
 * @license   proprietary
 */
class Core_HTMLPurifier extends HTMLPurifier
{
    /**
     * Cast passed Zend_Config to an array
     *
     * @param Zend_Config $config
     */
    public function __construct(Zend_Config $config = null)
    {
        if (null !== $config) {
            // HTMLPurifier will not accept a Zend_Config-type object
            // cast to array
            $config = $config->toArray();
        }

        parent::__construct($config);
    }
}